Burning Board 4.x Update-Möglichkeiten und Lizenz

  • Hallo Zusammen,


    ich habe einige Hilfen gesucht und auch das Forum durchsucht, aber noch keine konkreten Antworten gefunden. Deshalb möchte ich gerne hier

    folgende technsiche Fragen und Lizenz-Fragen klären:


    1. Update von WBB 4 auf Wotlab Suite 5


    Wir nutzen aktuell noch die Version 4.1.21 der Forensoftware. (Letzte 4er Version.) Wir würden gerne auf die neuste Version, ich meine 5.4.6?, updaten.

    So wie ich gelesen habe, gibts hier nun sogar 2 Möglichkeiten:


    a.) Upgate des Alt-Systems

    Man kann das System direkt updaten, aber was ich gelesen habe ist, immer auf die nächste Version.

    Sprich wir müssten von WBB 4.1 auf WBS 3.0,3.1, dann 5.0 usw.


    Themes müsen dann sicherlich neu installeirt werden? Was passiert mit Themes die nicht mehr kompatibel sind aus WBB4?

    Wir haben eins, das gibts auch in einer WBS 5-Version, aber sicherlich müsste das neu installiert werden. bzw. wird uns

    hier auch der Theme-Hersteller infos geben.


    b.) Datenimport

    Das WBS 5 neu aufsetzen und einfach einen Datenimport durchführen.


    Also Variante b.) habe ich schonmal durchgeführt, da wir von Jahren von einer noch älteren Version gekommen sind.

    Mir stellt sich nun die Frage: Was ist hier zu empfehlen? Der Update-Pfad scheint mir etwas langwierig zu sein, aber wenn es

    sauber klappt, habe ich damit keine Probleme. Oder macht bei so einer alten Version eher der Import Sinn? Gibt es hier ein

    best practice?


    2. Lizenz-Upgrade


    Wir haben eine WBB4-Lizenz und würden natrülich sehr gerne auf WBS 5 upgraden.


    In der Vergangenheit war es so, das ich bis vor einiger Zeit noch einen vergünstigten

    Upgrade-Preis vorgeschlagen bekommen habe. Nun nicht mehr und wir müssen also

    den Vollpreis zahlen. Ich befürchte es liegt daran das Version 4 nun komplett aus dem

    Support ist?


    Mit der neuen Version erhalten wir 1 Jahr lang updates. Sprich alle Versionen die erscheinen?

    Danach nur noch Sicherheits-Patches (Dritte Stelle in der Build-Nummer.) Zwischen-Updates

    und größere Versionssprünge sind dann wieder kostenpflichtig?


    3. API

    Letzte Frage: Ist die API von WBB4 zu WBS 5 kompatibel? Hintergrund ist, das ich an ein Wordpress andocke. Wollt nur schonmal

    wissen, ob hier viele Anpassungen/Änderungen gemacht werden müssen.


    Vielen Dank für die Antworten. :)

    • Official Post

    Hallo,


    1. Grundsätzlich sind beide Varianten möglich. Bei Variante A müsste jeder Update-Schritt (4.1 -> 5.0, 5.0 -> 5.1 usw.) einzeln durchgeführt werden, weshalb diese Variante deutlich zeitaufwendiger ist. Sie kann aber trotzdem sinnvoll sein, wenn man Daten übernehmen möchte, die vom Datenimport nicht unterstützt werden (z.B. Daten von Drittanbieter-Plugins). Stile (aka Themes) werden in beiden Variante nicht übernommen.


    2. Da die Version sehr alt ist, bieten wir inzwischen keinen vergünstigten Update-Preis mehr an. Die älteste Version, die gegenwärtig noch von einem vergünstigten Update-Preis profitiert, ist Version 5.0 und selbst diese Version ist bereits mehr als 4 1/2 Jahre alt.


    3. Die API ist nicht in allen Bereichen kompatibel. Details dazu sind in der Entwicklung-Dokumentation zu finden.

    Marcel Werk
    WoltLab CEO